Summary:	PLUTO automatic parallelizer
Summary(pl.UTF-8):	PLUTO - automatyczny zrównoleglacz
Name:		pluto
Version:	0.11.4
Release:	4
License:	LGPL v2.1+ (library), GPL v3+ (tools)
Group:		Libraries
Source0:	http://downloads.sourceforge.net/pluto-compiler/%{name}-%{version}.tar.gz
# Source0-md5:	2ad2e3305ea480b1c2aefd2cc90f38a1
Patch0:		%{name}-system-libs.patch
Patch1:		%{name}-updates.patch
Patch2:		%{name}-include.patch
Patch3:		%{name}-link.patch
URL:		http://pluto-compiler.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	candl-devel >= 0.6.2-1.20120728
BuildRequires:	clan-devel >= 0.8.0
BuildRequires:	cloog-isl-devel >= 0.19.0
BuildRequires:	gcc >= 6:4.2
BuildRequires:	isl-devel >= 0.13
BuildRequires:	libgomp-devel
BuildRequires:	libtool
BuildRequires:	osl-devel >= 0.9.0
BuildRequires:	piplib-devel >= 1.4.0
BuildRequires:	polylib-devel >= 5.22.5
Requires:	candl >= 0.6.2-1.20120728
Requires:	clan >= 0.8.0
Requires:	cloog-isl-libs >= 0.19.0
Requires:	isl >= 0.13
Requires:	osl >= 0.9.0
Requires:	piplib >= 1.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PLUTO is an automatic source-to-source transformer that can optimize
nested loop sequences for coarse-grained parallelism and cache
locality simultaneously. OpenMP parallel code for multicores can be
generated from regular C program sections.

%description -l pl.UTF-8
PLUTO to automatyczne narzędzie operujące na kodzie źródłowy,
potrafiące optymalizować sekwencje zagnieżdżonych pętli pod kątem
zrównoleglenia i lokalizacji pamięci podręcznej. Można generować kod
równoległy OpenMP ze zwykłych sekcji programu w C.

%package devel
Summary:	Header files for Pluto library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Pluto
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	candl-devel >= 0.6.2-1.20120728
Requires:	clan-devel >= 0.8.0
Requires:	cloog-isl-devel >= 0.19.0
Requires:	isl-devel >= 0.13
Requires:	libgomp-devel
Requires:	osl-devel >= 0.9.0
Requires:	piplib-devel >= 1.4.0

%description devel
Header files for Pluto library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Pluto.

%package static
Summary:	Static Pluto library
Summary(pl.UTF-8):	Statyczna biblioteka Pluto
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Pluto library.

%description static -l pl.UTF-8
Statyczna biblioteka Pluto.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# installed by mistake
%{__rm} $RPM_BUILD_ROOT%{_bindir}/getversion.sh

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ACKS AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/ploog
%attr(755,root,root) %{_bindir}/plorc
%attr(755,root,root) %{_bindir}/pluto
%attr(755,root,root) %{_bindir}/plutune
%attr(755,root,root) %{_bindir}/polycc
%attr(755,root,root) %{_bindir}/vloog
%attr(755,root,root) %{_libdir}/libpluto.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpluto.so.0

%files devel
%defattr(644,root,root,755)
%doc doc/{DOC.txt,pluto.bib}
%attr(755,root,root) %{_libdir}/libpluto.so
%{_libdir}/libpluto.la
%{_includedir}/pluto

%files static
%defattr(644,root,root,755)
%{_libdir}/libpluto.a
%changelog
* Fri Nov 01 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pluto.git;a=log;h=master

* Fri Nov 01 2019 Jan Rękorajski <baggins@pld-linux.org> 14f0a79
- release 4 (by relup.sh)

* Sun Jul 29 2018 Jakub Bogusz <qboosh@pld-linux.org> 8944c0f
- requires cloog-isl-devel; release 3

* Mon Apr 02 2018 Jakub Bogusz <qboosh@pld-linux.org> 25e9337
- adjusted updated patch to cover deprecated isl_int removal in 0.19

* Tue Dec 20 2016 Jakub Bogusz <qboosh@pld-linux.org> ac5b7f4
- release 2 (for isl 0.17.x)

* Thu Dec 03 2015 Jakub Bogusz <qboosh@pld-linux.org> 78230f2
- updated to 0.11.4
- updated system-libs,updates patches
- added link patch (fix unresolved symbols in libpluto)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 9922fd7
- x32 rebuild
- release 2 (by relup.sh)

* Tue Dec 23 2014 Jan Rękorajski <baggins@pld-linux.org> 1735fdc
- fix linking, gmp is required

* Mon Oct 06 2014 Jakub Bogusz <qboosh@pld-linux.org> 9b23d99
- fixed <pluto/libpluto.h> to include all dependences

* Sun Oct 05 2014 Jakub Bogusz <qboosh@pld-linux.org> cffb6e2
- new

* Wed Dec 28 2011 Elan Ruusamäe <glen@pld-linux.org> a010e0a
- this is duplicate, more complete package java-pluto already exists

* Fri Apr 23 2010 pawelz <pawelz@pld-linux.org> f5170ba
- Don't force specific jdk.

* Sun Mar 15 2009 pawelz <pawelz@pld-linux.org> 4681e8b
- initial, NFY
- required by java-commons-fileupload

